flcrun(1)

NAME
flcrun - The Falcon command line execution tool

SYNOPSIS
falrun [options] [main_script] [script_options]

DESCRIPTION
The falrun command line tool is a subset of the falcon(1) command line interpreter which only executes pre-compiled falcon scripts in ".fam" module files. This is meant to launch Falcon based application which were compiled on a different system, and whose source is not shipped.

OPTIONS

-e <enc>
    Set given encoding as default for VM I/O. Unless the scripts select a different I/O encoding, the streams that are provided to the falcon VM (like the output stream for printf) are encoded using the given ISO encoding. This overrides the default encoding that is detected by reading the environment settings. In example, if your system uses iso-8859-1 encoding by default, but you want your script to read and write utf-8 files, use the option -e utf-8

-h or -?
    Prints a brief help on stdout and exits.

-L <path>
    Changes the default load path. This overrides both the internal built in settings and the contents of environment variable FALCON_LOAD_PATH. Each directory in the path should be separated by ";" and use forward slashes, like this: falrun -L ./;/usr/share/falcon_mod;./myapp

-p <module>
    Preloads the given module as if it were loaded by the main script.

-P  Ignore default load paths and uses only the paths set via the -L switch.

-v  Prints copyright notice and version and exits.

FILES
/usr/lib/libfalcon_engine.so
    Default location of the Falcon Engine loadable module.
/usr/lib/falcon
    Default directory containing Falcon binary modules.

ENVIRONMENT

FALCON_LOAD_PATH
    Default search path for modules loaded by the scripts.

FALCON_SRC_ENCODING
    Default encoding for the source scripts loaded by falcon (when different from the system default).

FALCON_VM_ENCODING
    Default encoding for the VM I/O streams (when different from system default).

AUTHOR
Giancarlo Niccolai <gc@falconpl.org>

SEE ALSO
falcon(1) faldisass(1)

LICENSE
This document is released under the "GNU Free Documentation License, version 1.2". On Debian systems, the complete text of the Free Documentation License, version 1.2, can be found in /usr/share/common-licenses/.